今天发现一个用户登录的严重问题

为当前最终发行版之前的所有版本提供支持
回复
dominic
帖子: 2
注册时间: 2006-09-11 11:42
送出感谢: 0
接收感谢: 0

今天发现一个用户登录的严重问题

#1

帖子 dominic » 2006-09-11 11:48

我建立一个admin组用户gaoxiang
密码设置为gaoxiang@XXXXX

开启SSH
结果用putty登录,用户名输入gaoxiang 密码输入gaoxiang#就可以进入了,只要密码前面是gaoxiang,后面不管跟什么都可以登录成功,太恐怖了,不知道是我配置错误,还是什么问题。
难道密码不能以用户名开始么?

OpenSSH_4.2p1 Debian-7ubuntu3, OpenSSL 0.9.8a 11 Oct 2005
ubuntu 6
cn99是默认更新服务器,都更新了。

太恐怖了
头像
AIM
帖子: 58
注册时间: 2006-05-22 18:19
送出感谢: 1 次
接收感谢: 0

#2

帖子 AIM » 2006-09-11 19:50

现在手头没有安装ubuntu,哪位来证实一下。如果真的就太恐怖了……
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#3

帖子 BigSnake.NET » 2006-09-11 20:09

正常,linux的用戶密碼默認只有前8位有效

想增加就要從新編譯內核
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
dominic
帖子: 2
注册时间: 2006-09-11 11:42
送出感谢: 0
接收感谢: 0

#4

帖子 dominic » 2006-09-15 15:49

不是的,好像是密码前面8为和用户名相同,则只有8位有效。
回复

回到 “老旧版本支持”